Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 88088 - Some dialogs can't be closed with ESC
Summary: Some dialogs can't be closed with ESC
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gedit
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dan Williams
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-05 14:40 UTC by David Balažic
Modified: 2007-04-18 16:52 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-10-15 11:30:50 UTC


Attachments (Terms of Use)

Description David Balažic 2003-04-05 14:40:56 UTC
Description of problem:

Some dialogs of gedit can't be closed with the ESC key.
Dialogs that close on ESC :
- Open File...
- Open Location
- Save as...
- gedit - Prin Preview
- Print
- Go to Line

Dialogs that don't close on ESC :
- Find
- Replace
- About

A usually press crtrl-f , enter the search string and hit ENTER,
then ESC and then ctrl-g for further searchong, but the ESC does not work, so I
have to move my hand to the mouse, which is dannoying/distracting.

Version-Release number of selected component (if applicable):

gedit-2.2.0-1

Comment 1 Marco Pesenti Gritti 2004-10-15 11:30:50 UTC
This is a conscious upstream design decision of the GNOME project. ESC
is bound to the Cancel button, not to the close window action. There
are several threads about it on the usability list:

http://mail.gnome.org/archives/usability/


Note You need to log in before you can comment on or make changes to this bug.